## OGC KML 2.2 Conformance Test Suite

This is a copy of the data from the [OGC KML 2.2 Conformance Test Suite](https://github.com/opengeospatial/ets-kml22) repository, which is used to test KML 2.2 documents for conformance to the OGC KML 2.2.0 standard.

### Scope

This test suite checks KML 2.2 documents for conformance to _OGC KML, Version
2.2.0_ ([OGC 07-147r2](http://portal.opengeospatial.org/files/?artifact_id=27810)).
All three conformance levels are covered:

* Level 1: includes test cases covering mandatory requirements that must be
satisfied by every document;
* Level 2: as for Level 1, plus test cases addressing recommended constraints;
* Level 3: as for Level 2, plus test cases for suggested constraints that are
purely informative in nature.

Visit the [project documentation website](http://opengeospatial.github.io/ets-kml22/)
for more information, including the API documentation.

### How to contribute

If you would like to get involved, you can:

* [Report an issue](https://github.com/opengeospatial/ets-kml22/issues) such as a defect or
an enhancement request
* Help to resolve an [open issue](https://github.com/opengeospatial/ets-kml22/issues?q=is%3Aopen)
* Fix a bug: Fork the repository, apply the fix, and create a pull request
* Add new tests: Fork the repository, implement (and verify) the tests on a new topic branch,
and create a pull request
